-- test.lua

RESOLUTION=512

p = PDF_new()

s="PDFlib "
..PDF_get_value(p,"major").."."
..PDF_get_value(p,"minor").."."
..PDF_get_value(p,"revision").." with ".._VERSION
write("Hello from ",s,"\n")

assert(PDF_open_file(p, "test.pdf"))

PDF_set_info(p, "Creator", "test.lua")
PDF_set_info(p, "Author", "Luiz Henrique de Figueiredo")
PDF_set_info(p, "Title", "PDFlib-with-Lua logo")

PDF_begin_page(p, RESOLUTION, RESOLUTION)

PDF_translate(p, RESOLUTION/2, RESOLUTION/2)
PDF_scale(p, RESOLUTION/2/sqrt(2), RESOLUTION/2/sqrt(2))

PDF_setcolor(p, "both", "rgb", 1, 0.695, 0.06, 0)
PDF_circle(p, 0, 0, 1)
PDF_fill(p)

PDF_setlinewidth(p, 0.02)
PDF_setcolor(p, "both", "rgb", 0, 0, 0, 0)
PDF_circle(p, 0, 0, 1)
PDF_stroke(p)

font = PDF_findfont(p, "Helvetica", "host", 0)
PDF_setfont(p, font, 0.3)
PDF_setcolor(p, "both", "rgb", 1, 1, 1, 0)
PDF_show_xy(p, "PDFlib", -0.5, 0.0)
PDF_continue_text(p, "with Lua")

PDF_setfont(p, font, 0.05)
PDF_setcolor(p, "both", "rgb", 0, 0, 0, 0)
PDF_show_xy(p, s, -1.4, -1.4)

PDF_end_page(p)

PDF_close(p)
PDF_delete(p)
